body {
  font-family: Arial, sans-serif;
  background-color: #f4f4f4;
  margin: 0;
}

.page-protected {
  display: block;
}



.main-container {
  display: flex;
  justify-content: center;
  align-items: center;
  height: 100vh;
}

.login-container {
  background-color: #fff;
  padding: 20px;
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
  border-radius: 8px;
  width: 300px;
  text-align: center;
}

.login-container h2 {
  margin-bottom: 20px;
}

.login-container input {
  width: 88%;
  padding: 10px;
  margin: 10px;
  border: 1px solid #ccc;
  border-radius: 4px;
}

.login-container button {
  width: 50%;
  padding: 10px;
  background-color: #007bff;
  color: white;
  border: none;
  border-radius: 4px;
  cursor: pointer;
}

.login-container button:hover {
  background-color: #0056b3;
}

/*Customer page*/
.container {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  height: 100vh;
  background-color: #f4f4f4;
  position: relative;
}
.box {
  background: white;
  padding: 20px;
  border-radius: 10px;
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
  text-align: center;
  width: 500px;
}
.instructions {
  text-align: left;
  margin-bottom: 20px;
}
.date-picker {
  margin: 10px 0;
  display: flex;
  justify-content: space-between;
}
.date-picker input {
  padding: 8px;
  border-radius: 4px;
  border: 1px solid #ccc;
}
.moto-list {
  list-style: none;
  border: 1px solid #000;
  padding: 10px;
  margin: 10px 0;
  text-align: left;
}
.button-group {
  margin-top: 20px;
}
.button-group button {
  padding: 10px;
  margin: 5px;
  background-color: #007bff;
  color: white;
  border: none;
  border-radius: 5px;
  cursor: pointer;
}
.button-group button:hover {
  background-color: #0056b3;
}
.disconnect-btn {
  position: absolute;
  top: 20px;
  right: 20px;
  padding: 10px;
  background-color: #ff4b5c;
  color: white;
  border: none;
  border-radius: 5px;
  cursor: pointer;
}
.disconnect-btn:hover {
  background-color: #c70039;
}

/*Dealer page*/
.header {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 10px 20px;
  background-color: white;
  border-bottom: 2px solid #ccc;
}

.container {
  max-width: 900px;
  margin: 20px auto;
  text-align: center;
  background: white;
  padding: 20px;
  border-radius: 8px;
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
}
.content-grid {
  display: flex;
  justify-content: space-between;
  align-items: flex-start;
  gap: 40px;
}
.section {
  width: 48%;
}
.list-container {
  border: 1px solid #ccc;
  padding: 10px;
  max-height: 250px;
  overflow-y: auto;
  overflow-x: hidden;
  text-align: left;
  min-height: 150px;
}
.btn-container {
  display: flex;
  justify-content: center;
  margin-top: 10px;
}
.btn {
  padding: 8px 12px;
  border: none;
  border-radius: 5px;
  cursor: pointer;
  background-color: #007bff;
  color: white;
  margin: 5px;
}
.btn:hover {
  background-color: #0056b3;
}
.form-container {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  margin-top: 10px;
}
.input-field {
  width: 100%;
  padding: 8px;
  margin: 5px 0;
  border: 1px solid #ccc;
  border-radius: 5px;
}


.modal {
  display: none;
  position: fixed;
  z-index: 100;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  overflow: auto; 
  background-color: rgba(0, 0, 0, 0.4);
}

.modal-content {
  background-color: #fff;
  margin: 10% auto;
  padding: 20px;
  border: 1px solid #ccc;
  width: 400px;
  border-radius: 8px;
  text-align: left;
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.2);
}

.modal-content h3 {
  margin-top: 0;
  margin-bottom: 20px;
}

.modal-content label {
  display: block;
  margin-bottom: 5px;
  font-weight: bold;
}

.modal-content input[type="text"] {
  width: 100%;
  padding: 8px;
  margin-bottom: 15px;
  border: 1px solid #ccc;
  border-radius: 4px;
  box-sizing: border-box;
}

.modal-content button {
  display: block;
  width: 100%;
  padding: 10px;
  background-color: #007bff;
  color: #fff;
  border: none;
  border-radius: 4px;
  cursor: pointer;
  font-size: 16px;
}

.modal-content button:hover {
  background-color: #0056b3;
}

.modal .close {
  color: #aaa;
  float: right;
  font-size: 28px;
  font-weight: bold;
  cursor: pointer;
}

.modal .close:hover {
  color: #000;
}

